Rated 5 out of 5 stars

Firefox 3.6+
You do NOT need this extension. Instead, in about:config, set this option to "true" - browser.tabs.insertRelatedAfterCurrent.

This user has a previous review of this add-on.